=== debian/changelog ===
drmr (1:0+unstable-1kxstudio2) lucid; urgency=medium

  * Update to latest git "unstable" version

 -- falkTX <falktx@gmail.com>  Fri, 21 Mar 2014 17:26:00 +0000

drmr (0-0kxstudio1) lucid; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Sun, 18 Aug 2013 02:24:46 +0100
