=== debian/control ===
Source: drmr
Section: sound
Priority: extra
Maintainer: Jeremy Jongepier <jeremy@autostatic.com>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 pkg-config,
 libgtk2.0-dev,
 lv2-dev,
 libsndfile-static,
 libsamplerate-static
Standards-Version: 3.9.3
Homepage: https://github.com/nicklan/drmr
#Vcs-Git: git://git.debian.org/collab-maint/drmr.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/drmr.git;a=summary

Package: drmr
Architecture: any
Depends: ${misc:Depends}
Description: drmr
 DrMr is an LV2 sampler plugin.
 It's main reason to exist is to give a way for lv2 hosts to have a built-in
 drum synth that can save its entire state (i.e. no need to go out to external tools
 and no need to save extra state).
 .
 DrMr currently supports the following:
 - Control via midi
 - Scan for and load hydrogen drum kits (see note 2)
 - Multi-layer hydrogen kits (will pick layer based on that samples set gain)
 - LV2 controls for gain on first 32 samples of kit (see note 1 below)
 - LV2 controls for pan on first 32 samples of kit (see note 1 below)
 - GTK ui that can select a kit and control gain/pan on each sample
 - Custom knob widget for GTK ui based on phatknob that is both functional and awesome looking. (see wiki for screenshot)
 - Sample grid can start in any corner of the window, to match the layout of your controller.
